### Constructor

# RB ExtDB new

#### Declaration [src]

    RBExtDB*
    rb_ext_db_new (
      const char* name
    )

#### Description [src]

Provides access to a metadata store instance.

#### Parameters

`name`

  Type: `const char*`

  Name of the metadata store.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBExtDB`

Named metadata store instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.